NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::LaminateFiberOrientationOptionsBuilder Class Reference

Represents a NXOpen::CAE::LaminateFiberOrientationOptions builder
To create a new instance of this class, use NXOpen::CAE::LaminateGlobalLayup::CreateFiberOrientationOptionsBuilder

Created in NX7.5.0. More...

Inheritance diagram for NXOpen::CAE::LaminateFiberOrientationOptionsBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void SetSpectrum (int spectrum)
 Sets the spectrum
Created in NX7.5.0. More...
 
void SetYellowPoint (double yellowPoint)
 Sets the yellow point
Created in NX7.5.0. More...
 
int Spectrum ()
 Returns the spectrum
Created in NX7.5.0. More...
 
double YellowPoint ()
 Returns the yellow point
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::LaminateFiberOrientationOptions builder
To create a new instance of this class, use NXOpen::CAE::LaminateGlobalLayup::CreateFiberOrientationOptionsBuilder

Created in NX7.5.0.


Member Function Documentation

void NXOpen::CAE::LaminateFiberOrientationOptionsBuilder::SetSpectrum ( int  spectrum)

Sets the spectrum
Created in NX7.5.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
spectrumspectrum
void NXOpen::CAE::LaminateFiberOrientationOptionsBuilder::SetYellowPoint ( double  yellowPoint)

Sets the yellow point
Created in NX7.5.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
yellowPointyellow point
int NXOpen::CAE::LaminateFiberOrientationOptionsBuilder::Spectrum ( )

Returns the spectrum
Created in NX7.5.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")

double NXOpen::CAE::LaminateFiberOrientationOptionsBuilder::YellowPoint ( )

Returns the yellow point
Created in NX7.5.0.



License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.